version: 2

submodules:
  include: all

build:
  os: "ubuntu-22.04"
  tools:
    python: "3.10"
  jobs:
    post_create_environment:
      - pip install poetry==1.8.2
    post_install:
      - VIRTUAL_ENV=$READTHEDOCS_VIRTUALENV_PATH make install-doc-requirements-with-poetry POETRY_CONFIG_VIRTUALENVS_CREATE=false

sphinx:
  configuration: docs/src/conf.py
  fail_on_warning: true
